Bug 828330 - Cannot install katello-headpin-all on RHEL6.3
Cannot install katello-headpin-all on RHEL6.3
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Bryan Kearney
SAM QE List
: Reopened
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-06-04 11:31 EDT by Jakub Dorňák
Modified: 2012-06-08 07:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 07:04:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Eric Sammons 2012-06-06 15:07:55 EDT
Closing this is not a bug.  In order to successfully install SAM-1.1 on RHEL 6.3 you _must_ enable the beta enterprise linux channel; rhel-6-server-beta-rpms.

yum-config-manager --enable rhel-6-server-beta-rpms
set up your sam1.1 repo file to point to the latest puddle.
yum install katello-headpin-all
Comment 2 Jakub Dorňák 2012-06-07 02:35:29 EDT
SAM-1.1 is supposed to be released together with RHEL6.3.
Therefore it must be installable on RHEL6.3.
Without beta whatever.
Until it works (or until the way You describe is the official and documented way), I won't let it pass.
Comment 3 Hui Wang 2012-06-07 05:25:49 EDT
(In reply to comment #2)
> SAM-1.1 is supposed to be released together with RHEL6.3.
> Therefore it must be installable on RHEL6.3.
> Without beta whatever.
> Until it works (or until the way You describe is the official and documented
> way), I won't let it pass.

Jakub,

If this is the Final SAM1.1 RC, and the RHEL6.3 has been released and all the SAM pkges have been push to QA CDN or prod CDN, it should be deployment according the guide  http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Subscription_Asset_Manager/1.1/html/Installation_Guide/chap-Installation_Guide-Installation.html#sect-Installation_Guide-Installation-Installing_from_the_Repository

If you use the puddle to deploy SAM1.1, it is right as comment 1.
Comment 4 Jakub Dorňák 2012-06-07 07:55:26 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > SAM-1.1 is supposed to be released together with RHEL6.3.
> > Therefore it must be installable on RHEL6.3.
> > Without beta whatever.
> > Until it works (or until the way You describe is the official and documented
> > way), I won't let it pass.
> 
> Jakub,
> 
> If this is the Final SAM1.1 RC, and the RHEL6.3 has been released and all
> the SAM pkges have been push to QA CDN or prod CDN, it should be deployment
> according the guide 
> http://documentation-stage.bne.redhat.com/docs/en-US/
> Red_Hat_Subscription_Asset_Manager/1.1/html/Installation_Guide/chap-
> Installation_Guide-Installation.html#sect-Installation_Guide-Installation-
> Installing_from_the_Repository
> 
> If you use the puddle to deploy SAM1.1, it is right as comment 1.

No.
Comment 5 Jakub Dorňák 2012-06-07 08:00:47 EDT
The puddle is the content, which is to be pushed and used for deployment.
If this was the final SAM1.1 RC and the RHEL6.3 had been released, SAM would be (acording to the guide You mention) deployed using content of RHEL6.3 GA and SAM1.1 GA, which is exactly the same, as the Final RC of SAM1.1 and RHEL6.3, which is exactly the same as last puddle of SAM and last compose/build of RHEL6.3, which is exactly the same I test. No beta packages.

If some of the beta packages are supposed to be included in the release, they must be included already in the RC puddle (or RHEL compose).
Comment 6 Eric Sammons 2012-06-07 08:02:34 EDT
What content are you testing against?  RHEL-6.3 is only available via Beta (when using the Stage and Production CDN therefore you must enable the Beta channel to get RHEL 6.3.  

Perhaps I'm missing something here; are you using another CDN here?

When you install RHEL 6.3 you may not be addressing all dependencies which is why you must have the rhel-6-server-rpms enabled; just like on RHEL 6.2 you can not install SAM unless you first satisfy all dependencies, including those that are provided rhel-6-server-rpms.  Currently rhel-6-server-rpms only has rhel <= 6.2 content; if you are looking for 6.3 you must enable rhel-6-server-beta-rpms.

Perhaps I'm missing something here, but in my testing I'm able to install once all dependencies from server-rpms are satisfied, this is expected.
Comment 7 Keqin Hong 2012-06-07 08:05:13 EDT
(In reply to comment #2)
> SAM-1.1 is supposed to be released together with RHEL6.3.
> Therefore it must be installable on RHEL6.3.
> Without beta whatever.
> Until it works (or until the way You describe is the official and documented
> way), I won't let it pass.

Jakub,

Could you test again if this bug still exists?
RC content have been pushed to QA CDN, and will later be pushed to Prod CDN on GA date. At this stage rhel-6-server-beta-rpms is no longer needed.

config to use QA CDN before doing yum:
# subscription-manager config --rhsm.baseurl=https://cdn.rcm-qa.redhat.com

Regards,
Keqin
Comment 8 Eric Sammons 2012-06-07 08:06:34 EDT
Remember sam-1.1 is _not_ all inclusive, there are dependencies that are not installed in @Base that will get pulled in when you execute yum install katello-headpin-all.  The two channels required for any sam installation are rhel-6-server-rpms and sam-rhel-x86_64-server-6.  Today in prod these channels do not have 6.3 content or sam-1.1 content so it seems to me you must use either a 6.3 puddle and a sam-1.1 puddle or you must use rhel-6-server-beta-rpms and a sam-1.1 puddle.
Comment 9 Jakub Dorňák 2012-06-07 08:26:00 EDT
Well, I may try to repeat, what have been writen at the top of this page:

(In reply to comment #0)
> ...
> 
> Steps to Reproduce:
> 1. Install last RHEL6.3 build (currently RHEL6.3-20120531.0)
> 2. Add SAM puddle repo (currently SAM-2012-05-31.1)
> 3. Perform: yum install -y katello-headpin-all
>   
> ...

I have intentionally used "last RHEL6.3 build", as the issue may remain (and remains), while there are newer builds (and/or puddles) comming.

Currently I have these newer results:
SAM-2012-06-04.1 on RHEL6.3-20120531.0 - FAIL
SAM-2012-06-04.1 on RHEL6.3-20120604.0 - FAIL
SAM-2012-06-07.1 on RHEL6.3-20120606.3 - RUNNING
Comment 10 Eric Sammons 2012-06-07 09:51:33 EDT
Again,  I would like to close this bz I have tested and verified that this works when using a CDN (QA CDN) with rhel-6.3 content.


# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.3 (Santiago)



# yum repolist
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
rhel-6-server-rpms                                       | 3.7 kB     00:00     
repo id                   repo name                                       status
rhel-6-server-rpms        Red Hat Enterprise Linux 6 Server (RPMs)        8,173
rhelcsb                   Red Hat CSB Repo                                  470
sam11                     sam puddle                                        282
repolist: 8,925



# yum install katello-headpin-all
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.   
rhel-6-server-rpms                                       | 3.7 kB     00:00        
sam11                                                    |  951 B     00:00     
sam11/primary                                            |  68 kB     00:00     
sam11                                                                   282/282
Setting up Install Process
Resolving Dependencies
...
Installed:
  katello-headpin-all.noarch 0:0.2.13-1.el6_2                                   

Dependency Installed:
  antlr.noarch 0:2.7.7-10_redhat_1.ep6.el6.2                                    
  aopalliance.noarch 0:1.0-5.3.ep5.el6                                          
  apr.x86_64 0:1.3.9-3.el6_1.2                                        
...

Complete!
#

# katello-configure --deployment=sam
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120607-094556/main.log]
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
Creating Candlepin database user
############################################################ ... OK
Candlepin setup
############################################################ ... OK
Populating Katello database schema
############################################################ ... OK
Initializing Katello data
############################################################ ... OK

#


# headpin -u admin -p admin org list
--------------------------------------------------------------------------------
                              Organization List

 Id   Name               Description                    
--------------------------------------------------------------------------------
 1    ACME_Corporation   ACME_Corporation Organization  

# rpm -qa|grep 'katello\|headpin\|candlepin\|thumbslug\|elasticsearch'
katello-configure-0.3.7-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
elasticsearch-0.18.4-11.el6.noarch
thumbslug-0.0.24-1.el6_2.noarch
katello-common-0.3.3-1.el6_2.noarch
katello-cli-common-0.3.5-2.el6_2.noarch
candlepin-0.6.5-1.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-headpin-all-0.2.13-1.el6_2.noarch
katello-glue-candlepin-0.3.3-1.el6_2.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-headpin-0.2.13-1.el6_2.noarch
candlepin-tomcat6-0.6.5-1.el6_2.noarch


# rpm -qa|grep 'kernel-2.6\|redhat-release'
kernel-2.6.32-278.el6.x86_64
redhat-release-server-6Server-6.3.0.3.el6.x86_64
Comment 11 Jakub Dorňák 2012-06-08 07:04:21 EDT
You are right. I did the mistake in the test setup.

Note You need to log in before you can comment on or make changes to this bug.